Description

In the main qgis map canvas, the map can be rotated with both positive and negative values. This is handy because it is easy to nudge a

display in either direction. If a negative value is used, this has to be translated (360-#value#) to achieve the same rotation in the print

composer. Allowing a negative value in this field would allow a 1:1 translation. Another option would be a checkbox in the print composer

'Main Properties' area to 'set map rotation to map canvas rotation'.

Associated revisions

Revision aaddfedd - 2017-05-30 09:18 AM - Nyall Dawson

[composer] Allow map rotation from -360 to 360

Fix #15823

Also reenable instant map refresh as map rotation changes. Since

map refresh is done in the background now, this is safe to reenable.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-05-31 04:54 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|aaddfedda8e3b7d63007d930530a38447d3bf5ea.
